## dvdwizard 0.6.2

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#   Makefile - main makefile for package dvdwizard
#
#   Copyright (C) 2009 Joo Martin <joomart2009 at users.sf.net>
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This package is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program. If not, see <http://www.gnu.org/licenses/>.
#
# -------------------------------------------------------------------------


# common prefix for installation directories.
prefix  = /usr/local
bindir  = $(prefix)/bin
datadir = $(prefix)/share
mandir  = $(datadir)/man
confdir = /etc

# the install commands
INSTALL := /usr/bin/install
INSTALL_PROG := $(INSTALL) -m 755
INSTALL_DATA := $(INSTALL) -m 644

# check some directories
BINDIR_WRITE :=$(shell if [ -w "$(DESTDIR)$(bindir)"  ]; then echo y; else echo n; fi)
DATADIR_WRITE:=$(shell if [ -w "$(DESTDIR)$(datadir)" ]; then echo y; else echo n; fi)
ERRORTEXT:="is not writable or does not exist. Abort!"

SCRIPTS := chaptercheck dvdcpics dvdtguess dvdwizard \
	mk_vmgm mk_vtsm mk_vtsm_info mk_vtsm_lang mpgprobe txt2png

MPAGES1 := dvdwizard.1 mk_vmgm.1 mk_vtsm.1 
MPAGES2 := dvdwizard.conf.5

# Example (at the end of the command write always ';')
# @$(foreach script,$(SCRIPTS), echo $(script);)


# ~~~~~~~~~~~~~~~~~~~~~~~~ rules ~~~~~~~~~~~~~~~~~~~~~~~~

build:
	@echo -e '\n~~~~~~~~~~ make build ~~~~~~~~~~'
	@echo "Create scripts into bin for installation ..."
	@if test ! -d bin; then mkdir bin; fi
	@$(foreach script, $(SCRIPTS), cat $(script) |\
		sed 's#@DW_RC_FILE@#$(datadir)/dvdwizard/dvdwizardrc#g' >bin/$(script);)
	@echo converted paths in all scripts:
	@echo $(SCRIPTS)


distclean: clean
clean:
	@echo -e '\n~~~~~~~~~~ make clean ~~~~~~~~~~'
	-rm -rf bin


check:
	@echo -e '\n~~~~~~~~~~ make check ~~~~~~~~~~'
  ifneq "$(BINDIR_WRITE)" "y"
	@echo "Target directory $(DESTDIR)$(bindir) $(ERRORTEXT)"; exit 1
  endif
  ifneq "$(DATADIR_WRITE)" "y"
	@echo "Target directory $(DESTDIR)$(datadir) $(ERRORTEXT)"; exit 1
  endif
	@if [ ! -d $(DESTDIR)$(datadir)/dvdwizard ]; then mkdir $(DESTDIR)$(datadir)/dvdwizard; fi
	@if [ ! -d $(DESTDIR)$(mandir)/man1 ]; then mkdir $(DESTDIR)$(mandir)/man1; fi
	@if [ ! -d $(DESTDIR)$(mandir)/man5 ]; then mkdir $(DESTDIR)$(mandir)/man5; fi
	@echo "All checked directories are o.k."


install: build check
	@echo -e '\n~~~~~~~~~~ make install ~~~~~~~~~~~'
	@echo "Installing dvdwizard ..."

	@echo .
	@echo "Install all scripts into $(DESTDIR)$(bindir) ..."
	@$(foreach script, $(SCRIPTS), $(INSTALL_PROG) bin/$(script) $(DESTDIR)$(bindir);)

	@echo "Install central script into $(DESTDIR)$(datadir) ..."
	@$(INSTALL_DATA) -D dvdwizardrc $(DESTDIR)$(datadir)/dvdwizard/dvdwizardrc

	@echo "Install all manpages into $(DESTDIR)$(mandir) ..."
	@$(foreach mpage, $(MPAGES1), $(INSTALL_DATA) doc/$(mpage) $(DESTDIR)$(mandir)/man1;)
	@$(foreach mpage, $(MPAGES2), $(INSTALL_DATA) doc/$(mpage) $(DESTDIR)$(mandir)/man5;)

	@echo .
	@echo "Installing config file into $(DESTDIR)$(confdir) ..."
	@if test ! -e $(DESTDIR)$(confdir); then mkdir -p $(DESTDIR)$(confdir); fi

	@if  test -f $(DESTDIR)$(confdir)/dvdwizard.conf; then \
	  echo "You already have a $(DESTDIR)$(confdir)/dvdwizard.conf !"; \
	  if  test -f $(DESTDIR)$(confdir)/dvdwizard.conf.old; then \
	    echo "And you still have a $(DESTDIR)$(confdir)/dvdwizard.conf.old"; \
	    echo "Ok, keeping old config files."; \
	    echo "Refer to dvdwizard.conf.sample for new/changed options."; \
	  else \
	    cp -p $(DESTDIR)$(confdir)/dvdwizard.conf $(DESTDIR)$(confdir)/dvdwizard.conf.old; \
	    echo "Saved existing config to $(DESTDIR)$(confdir)/dvdwizard.conf.old"; \
	    cp dvdwizard.conf.sample $(DESTDIR)$(confdir)/dvdwizard.conf; \
	    echo "Installed new config as $(DESTDIR)$(confdir)/dvdwizard.conf"; \
 	    echo "Please edit the new config to your preferences."; \
	  fi; \
	else \
	  cp dvdwizard.conf.sample $(DESTDIR)$(confdir)/dvdwizard.conf; \
	  echo "Installed new config as $(DESTDIR)$(confdir)/dvdwizard.conf"; \
	  echo "Please edit the new config to your preferences."; \
	fi

	@echo .
	@echo "Make sure, $(DESTDIR)$(bindir) is inside your PATH."
	@echo "dvdwizard installation ready."


uninstall:
	@echo -e '\n~~~~~~~~~~ make uninstall ~~~~~~~~~~~'
	@echo "Deinstalling dvdwizard ..."

	@echo "Deinstall all scripts in $(DESTDIR)$(bindir) ..."
	@-$(foreach script,$(SCRIPTS), rm -f $(DESTDIR)$(bindir)/$(script);)

	@echo "Deinstall central script in $(DESTDIR)$(datadir) ..."
	@-rm -rf $(DESTDIR)$(datadir)/dvdwizard

	@echo "Deinstall all manpages in $(DESTDIR)$(mandir) ..."
	@-$(foreach mpage, $(MPAGES1), rm -f $(DESTDIR)$(mandir)/man1/$(mpage);)
	@-$(foreach mpage, $(MPAGES2), rm -f $(DESTDIR)$(mandir)/man5/$(mpage);)



info:
	@echo "Using this Makefile with the global variable 'DESTDIR':"
	@echo "i.e.   make install DESTDIR=debian/dvdwizard"


.PHONY: build clean install uninstall info

=== debian/changelog ===
dvdwizard (0.6.2-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Switch to format 3.0 (quilt).
  * Update debian/copyright.
  * debian/patches/02-spelling_errors.patch:
    - Fix spelling errors in manpages.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 10 Jan 2010 10:48:37 +0100

dvdwizard (0.6.1-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control: Bump imagemagick minimal version.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 01 Dec 2009 23:03:31 +0100

dvdwizard (0.6.0-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Define larger default TVSIZE.
    - New bgratio option for VRATIO flexibility.
    - Use 16:9 background images inside 4:3 menu for widescreen videos
    - Compute some sizes of menu background images
    - Check whether TVSIZE is inside range
    - Add some manpages.
    - Change license from GPL-2 to GPL-3.
  * Update debian/copyright.
  * Refresh 01_dvdwizardrc-path.patch, the scripts are fixed during the build.
  * debian/rules:
    - Use the Makefile to build the scripts.
    - Skip checks, otherwise fails to build.
    - Manually install the files.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 04 Nov 2009 00:28:16 +0100

dvdwizard (0.5.7-0.4ubuntu1) karmic; urgency=low

  * Switch to debhelper 7.
  * debian/control:
    - Bump debhelper, quilt build-dependencies.
    - Bump Standards:
      + Add ${misc:Depends} macro to Depends field.
    - Move to video section.
  * Update debian/copyright.
  * Add README.source file.
  * Remove unnecessary debian/postinst file.
  * Add dvdwizard.{docs,dirs}.
  * debian/manpages -> debian/dvdwizard.manpages
  * debian/patches/01_dvdwizardrc-path.diff: Add description to make lintian
    happy.
  * A bit of cleanup.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 30 Aug 2009 20:37:44 +0200

dvdwizard (0.5.7-0.4) unstable; urgency=low

  * toolame has been replaced by ffmpeg to generate silent audio track, then
    Update the Depends fiekd.

 -- Christian Marillat <marillat@debian.org>  Wed, 03 Jun 2009 00:02:01 +0200

dvdwizard (0.5.7-0.3) unstable; urgency=low

  * Fix a missing dvdwizardrc path in dvdwizard (Thanks to Edelhard Becker).

 -- Christian Marillat <marillat@debian.org>  Tue, 26 May 2009 18:51:47 +0200

dvdwizard (0.5.7-0.2) unstable; urgency=low

  * Install dvdwizard.conf in /etc
  * The path for dvdwizardrc is /usr/share/dvdwizard in all scripts.
  * The default path for generated files is now $HOME/dvdwizard

 -- Christian Marillat <marillat@debian.org>  Wed, 22 Apr 2009 23:08:27 +0200

dvdwizard (0.5.7-0.1) unstable; urgency=low

  * Removed 001.txt file in diff.gz.

 -- Christian Marillat <marillat@debian.org>  Wed, 15 Apr 2009 14:40:07 +0200

dvdwizard (0.5.7-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 08 Apr 2009 17:24:19 +0200

dvdwizard (0.5.6-0.0) unstable; urgency=low

  * New upstream release.
  * Support for transcode 1.1.0
  * Support for ImageMagick until 6.4.0 - 6.4.9
  * Change path for 'dvdwizardrc' to /usr/share/dvdwizard/dvdwizardrc.

 -- Christian Marillat <marillat@debian.org>  Tue, 24 Feb 2009 15:19:21 +0100

dvdwizard (0.5.1-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 17 Aug 2007 16:18:11 +0200

dvdwizard (0.5-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri,  1 Sep 2006 10:01:35 +0200

dvdwizard (0.4.2c-0.0) unstable; urgency=low

  * New upstream release.
  * Removed my hack.

 -- Christian Marillat <marillat@debian.org>  Mon,  9 Jan 2006 11:54:54 +0100

dvdwizard (0.4.2b-0.0) unstable; urgency=low

  * New upstream release.
  * Add a version to mjpegtools (>= 1.6.0) dependency.

 -- Christian Marillat <marillat@debian.org>  Tue,  3 Jan 2006 15:49:30 +0100

dvdwizard (0.4.2a-0.2) unstable; urgency=low

  * Add missing $ in dvdwizard and dvdwizardrc. Tahnks to Pascal Giard for
    the patch.

 -- Christian Marillat <marillat@debian.org>  Thu, 22 Dec 2005 10:49:33 +0100

dvdwizard (0.4.2a-0.1) unstable; urgency=low

  * Add a control file for reportbug.

 -- Christian Marillat <marillat@debian.org>  Wed,  9 Nov 2005 13:49:23 +0100

dvdwizard (0.4.2a-0.0) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@debian.org>  Mon,  7 Nov 2005 14:25:37 +0100

=== debian/control ===
Source: dvdwizard
Section: video
Priority: optional
Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Homepage: http://www.joonet.de/dvdwizard/
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.0.50~)

Package: dvdwizard
Architecture: all
Depends: dvdauthor,
 imagemagick (>= 7:6.3.5),
 mjpegtools (>= 1.6.0),
 transcode,
 ffmpeg,
 ${misc:Depends}
Description: fully automated creation of a DVD-structure
 A wrapper-script which incorporates a fully automated creation of a
 DVD-structure with Chapters and menus from one or more mpeg-streams. This
 is done by several "sub-scripts" and various freely available tools.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) prefix=/usr

override_dh_auto_test:

override_dh_auto_install:
	cp $(CURDIR)/dvdwizard.conf.sample \
		$(CURDIR)/debian/dvdwizard/etc/dvdwizard.conf

## dvdwizard 0.6.4

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 #   Makefile - main makefile for package dvdwizard
 #
-#   Copyright (C) 2009 Joo Martin <joomart2009 at users.sf.net>
+#   Copyright (C) 2009-2011 Joo Martin <joomart2009 at users.sf.net>
 #
 #   This program is free software: you can redistribute it and/or modify
 #   it under the terms of the GNU General Public License as published by

=== debian/changelog ===
dvdwizard (0.6.4-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 03 Jan 2011 10:16:39 +0100

dvdwizard (0.6.3-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Do not use ffmpeg option '-ab' with 'kb' unit, this is old.
    - Add new Czech translation (thanks to Martin Palecek).
    - Tested with ImageMagick 6.6.0-4.
  * Delete 02-spelling_errors.patch, applied upstream.
  * debian/control:
    - Bump imagemagick minimal version.
    - Update Standards-Version.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 21 Oct 2010 17:45:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
 Homepage: http://www.joonet.de/dvdwizard/
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7.0.50~)
 
 Package: dvdwizard
 Architecture: all
 Depends: dvdauthor,
- imagemagick (>= 7:6.3.5),
+ imagemagick (>= 7:6.6.0),
  mjpegtools (>= 1.6.0),
  transcode,
  ffmpeg,

## dvdwizard 0.7.1

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#   Makefile - main makefile for package dvdwizard
#
#   Copyright (c) 2009,2012 Joo Martin <joomart2009 at users.sf.net>
#   Copyright (c) 2010-2011 Joo Martin & Markus Kohm <kohm at users.sf.net>
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This package is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program. If not, see <http://www.gnu.org/licenses/>.
#
# -------------------------------------------------------------------------


# NOTE:
#   - Linux distributors may want to change docdir into $(datadir)/doc/packages.
#   - All installation destinations will be prefixed by $(DESTDIR).
# common prefix for installation directories:
prefix    = /usr/local
bindir    = $(prefix)/bin
datadir   = $(prefix)/share
mandir    = $(datadir)/man
infodir   = $(datadir)/info
docdir    = $(datadir)/doc
localedir = $(datadir)/dvdwizard/locale
confdir   = /etc

# without country specific translations
LANG=C

# common variables
PACKAGE    := dvdwizard
VERSION    := 0.7
PATCHLEVEL := 1
DATE       := 2012-03-19

SHELL := $(shell which bash)
ifeq ($(SHELL),)
SHELL := /bin/bash
endif

# the install commands
INSTALL := /usr/bin/install
INSTALL_PROG := $(INSTALL) -m 755
INSTALL_DATA := $(INSTALL) -m 644

SCRIPTS := dvdwizard_common chaptercheck dvdcpics dvdtguess dvdwizard \
	   mk_vmgm mk_vtsm mk_vtsm_info mk_vtsm_lang mpgprobe txt2png \
	   dvdwizard_test
MPAGES1 := dvdwizard.1 mk_vmgm.1 mk_vtsm.1 
MPAGES5 := dvdwizard.conf.5
INFOS   := DVDwizard.info
DOCS    := AUTHORS CHANGELOG CONTRIB COPYING README TODO TOOLS \
	   dvdwizard.conf.sample DVDwizard.pdf DVDwizard.html
LANGS   := de
DATA    := Clapperboard.svg

MOFILES := $(foreach lang, $(LANGS), $(lang)/LC_MESSAGES/dvdwizard.mo)
POFILES := $(foreach lang, $(LANGS), po/$(lang).po)
HOLDER  := Markus Kohm, Joachim Wiedorn

MPAGES    := $(MPAGES1) $(MPAGES5)
PATCHED   := $(SCRIPTS) dvdwizard.conf $(DATA)
UNPATCHED := $(addprefix doc/,$(MPAGES)) $(INFOS) \
	     $(DOCS) DVDwizard.txt $(addprefix locale/,$(MOFILES))

DISTFILES := $(SCRIPTS) $(addprefix doc/,$(MPAGES)) $(DOCS) $(POFILES) $(DATA)\
	     Makefile install.sh dvdwizard.spec
DISTDIR   = dvdwizard-$(VERSION)$(if $(PATCHLEVEL),.)$(PATCHLEVEL)

# ~~~~~~~~~~~~~~~~~~~~~~~~ rules ~~~~~~~~~~~~~~~~~~~~~~~~

#
# Copy all files to directory build.
# For all files at $(PATCHED) the pathes @LOCALDIR@, @DOCDIR@, @MANDIR@, 
# @DATADIR@, @CONFDIR@, @PREFIX@, @VERSION@, @PATCHLEVEL@, and @DATE@ 
# will be relaced by their value at this makefile (see above).  If you need 
# one of those strings at one of those files, just double the `@', 
# e.g., @@PREFIX@@ would be replaced by @PREFIX@.
build: $(PATCHED) $(UNPATCHED)
	@echo -e '\n~~~~~~~~~~ make build ~~~~~~~~~~'
	@echo "Create all files into build for installation ..."
	@if test ! -d build; then mkdir build; fi
	@echo -n "- convert pathes in: "
	@$(foreach patched, $(PATCHED), \
		echo -n "$(patched)..."; \
		sed -e 's#\([^@]\)@LOCALEDIR@\([^@]\)#\1$(localedir)\2#g;s#@LOCALEDIR@#LOCALEDIR#g' \
		    -e 's#\([^@]\)@DOCDIR@\([^@]\)#\1$(docdir)\2#g;s#@DOCDIR@#DOCDIR#g' \
		    -e 's#\([^@]\)@MANDIR@\([^@]\)#\1$(mandir)\2#g;s#@MANDIR@#MANDIR#g' \
		    -e 's#\([^@]\)@DATADIR@\([^@]\)#\1$(datadir)\2#g;s#@DATADIR@#DATADIR#g' \
		    -e 's#\([^@]\)@CONFDIR@\([^@]\)#\1$(confdir)\2#g;s#@CONFDIR@#CONFDIR#g' \
		    -e 's#\([^@]\)@PREFIX@\([^@]\)#\1$(prefix)\2#g;s#@PREFIX@#PREFIX#g' \
		    -e 's#\([^@]\)@VERSION@\([^@]\)#\1$(VERSION)\2#g;s#@VERSION@#VERSION#g' \
		    -e 's#\([^@]\)@PATCHLEVEL@\([^@]\)#\1$(PATCHLEVEL)\2#g;s#@PATCHLEVEL@#PATCHLEVEL#g' \
		    -e 's#\([^@]\)@DATE@\([^@]\)#\1$(DATE)\2#g;s#@DATE@#DATE#g' \
		    $(patched) >build/$(patched); )
	@echo "done."
	@echo -n "- create link to: "
	@$(foreach unpatched, $(UNPATCHED), \
		echo -n "$(unpatched)..."; \
		mkdir -p build/"$(dir $(unpatched))" >&2; \
		ln -f $(unpatched) build/$(unpatched); )
	@mv -f build/DVDwizard.txt build/README
	@echo "done."
	@echo "build made."

distclean: clean
	-rm -rf locale
	-rm -f  DVDwizard.dvi DVDwizard.pdf DVDwizard.info DVDwizard.html
	-rm -f  DVDwizard.txt dvdwizard.conf.sample
	-rm -rf rpmbuild

clean:
	@echo -e '\n~~~~~~~~~~ make clean ~~~~~~~~~~'
	-rm -rf build
	-rm -rf rpmbuild/BUILD rpmbuild/BUILDROOT rpmbuild/SOURCES \
	        rpmbuild/SPECS
	-rm -f dvdwizard.conf
	-rm -f DVDwizard.aux DVDwizard.log DVDwizard.tmp DVDwizard.toc \
	       DVDwizard.au DVDwizard.aus DVDwizard.cp DVDwizard.cps \
	       DVDwizard.fn DVDwizard.fns DVDwizard.ky DVDwizard.kys \
	       DVDwizard.pg DVDwizard.pgs DVDwizard.tp DVDwizard.tps \
	       DVDwizard.vr DVDwizard.vrs

DVDwizard.info: DVDwizard.texi
	makeinfo --no-split $<

DVDwizard.txt: DVDwizard.texi
	makeinfo --plaintext -o $@ $<

DVDwizard.html: DVDwizard.texi
	makeinfo --html --no-split $<

DVDwizard.pdf: DVDwizard.texi
	pdftex --interaction=nonstopmode DVDwizard.texi
	texindex DVDwizard.au DVDwizard.pg
	pdftex --interaction=nonstopmode DVDwizard.texi
	texindex DVDwizard.au DVDwizard.pg
	pdftex --interaction=nonstopmode DVDwizard.texi

dvdwizard.conf.sample: dvdwizard.conf.in
	cat $< | sed "s#@@VERSION@@#$(VERSION)#g" | sed "s#@@LEVEL@@#$(PATCHLEVEL)#g" > $@

dvdwizard.conf: dvdwizard.conf.sample
	ln -f $< $@

check:
	@echo -e '\n~~~~~~~~~~ make check ~~~~~~~~~~'
	@mkdir -p $(DESTDIR)$(bindir)
	@mkdir -p $(DESTDIR)$(datadir)
	@mkdir -p $(DESTDIR)$(docdir)/dvdwizard
	@$(foreach modir,$(dir $(MOFILES)),\
		mkdir -p $(DESTDIR)$(localedir)/$(modir);)

	@mkdir -p $(DESTDIR)$(mandir)/man1
	@mkdir -p $(DESTDIR)$(mandir)/man5
	@mkdir -p $(DESTDIR)$(infodir)
	@mkdir -p $(DESTDIR)$(confdir)
	@$(foreach lang, $(LANGS), mkdir -p $(DESTDIR)$(localedir)/$(lang)/LC_MESSAGES;)
	@echo "All needed directories created."

	$(eval msg=$(shell . ./dvdwizard_common; . ./dvdwizard.conf.sample; check_tools 2>&1 | head -1 | cut -d: -f2))
	@$(if $(msg), $(error $(msg)))
	@echo "All needed tools are installed."


install: build check
	@echo -e '\n~~~~~~~~~~ make install ~~~~~~~~~~~'
	@echo "Installing dvdwizard ..."

	@echo
	@echo "Install all scripts into $(DESTDIR)$(bindir) ..."
	@$(foreach script, $(SCRIPTS), \
		$(INSTALL_PROG) build/$(script) $(DESTDIR)$(bindir);)

	@echo "Install data files into $(DESTDIR)$(datadir)/dvdwizard ..."
	@$(foreach data, $(DATA), \
		$(INSTALL_DATA) build/$(data) $(DESTDIR)$(datadir)/dvdwizard/;)

	@echo "Install i18n files into $(DESTDIR)$(localedir)/<LANGUAGE>/LC_MESSAGES/ ..."
	@$(foreach mofile, $(MOFILES), \
		$(INSTALL_DATA) build/locale/$(mofile) $(DESTDIR)$(localedir)/$(mofile);)

	@echo "Install man pages into $(DESTDIR)$(mandir) ..."
	@$(foreach mpage, $(MPAGES1), \
		$(INSTALL_DATA) build/doc/$(mpage) $(DESTDIR)$(mandir)/man1;)
	@$(foreach mpage, $(MPAGES5), \
		$(INSTALL_DATA) build/doc/$(mpage) $(DESTDIR)$(mandir)/man5;)

	@echo "Install info pages into $(DESTDIR)$(infodir) ..."
	@$(foreach info, $(INFOS), \
		$(INSTALL_DATA) build/$(info) $(DESTDIR)$(infodir)/$(info);)

	@echo "Installing doc files into $(DESTDIR)$(docdir) ..."
	@$(foreach doc, $(DOCS), \
		$(INSTALL_DATA) build/$(doc) $(DESTDIR)$(docdir)/dvdwizard; )

	@echo
	@echo "Installing config file into $(DESTDIR)$(confdir) ..."
	@if  test -f $(DESTDIR)$(confdir)/dvdwizard.conf; then \
	  echo "You already have a $(DESTDIR)$(confdir)/dvdwizard.conf!"; \
	  if  test -f $(DESTDIR)$(confdir)/dvdwizard.conf.old; then \
	    echo "And you still have a $(DESTDIR)$(confdir)/dvdwizard.conf.old"; \
	    echo "Ok, keeping old config files."; \
	    echo "Refer to dvdwizard.conf.sample for new/changed options."; \
	  else \
	    cp -p $(DESTDIR)$(confdir)/dvdwizard.conf $(DESTDIR)$(confdir)/dvdwizard.conf.old; \
	    echo "Saved existing config to $(DESTDIR)$(confdir)/dvdwizard.conf.old"; \
	    $(INSTALL_DATA) build/dvdwizard.conf $(DESTDIR)$(confdir); \
	    echo "Installed new config as $(DESTDIR)$(confdir)/dvdwizard.conf"; \
	    echo "Please edit the new config to your preferences."; \
	  fi; \
	else \
	  $(INSTALL_DATA) build/dvdwizard.conf $(DESTDIR)$(confdir); \
	  echo "Installed new config as $(DESTDIR)$(confdir)/dvdwizard.conf"; \
	  echo "Please edit the new config to your preferences."; \
	fi

	@echo
	@echo "Make sure that:"
	@echo "   $(DESTDIR)$(bindir) is inside your PATH."
	@echo "   $(DESTDIR)$(mandir) is inside your MANPATH."
	@echo
	@echo "DVDwizard installation ready."


uninstall:
	@echo -e '\n~~~~~~~~~~ make uninstall ~~~~~~~~~~~'
	@echo "Deinstalling DVDwizard ..."

	@echo "Deinstall all scripts in \"$(DESTDIR)$(bindir)\" ..."
	@-$(foreach script,$(SCRIPTS), rm -f "$(DESTDIR)$(bindir)/$(script)";)

	@echo
	@echo "Deinstall i18n files in $(DESTDIR)$(localedir)/locale/<LANGUAGE>/LC_MESSAGES/ ..."
	@-$(foreach mofile, $(addprefix $(DESTDIR)$(localedir)/,$(MOFILES)), \
		rm -f "$(mofile)";)
	@-$(foreach modir, $(dir $(addprefix $(DESTDIR)$(localedir)/,$(MOFILES))), \
		if [ -z "`ls -A \"$(modir)\"`" ]; then \
		    echo "Deinstall data dir $(modir) ..."; \
		    rm -rf "$(modir)"; \
		fi; )
	@-$(foreach langdir, $(addprefix $(DESTDIR)$(localedir)/,$(LANGS)), \
		if [ -z "`ls -A \"$(langdir)\"`" ]; then \
		    echo "Deinstall data dir $(langdir) ..."; \
		    rm -rf "$(langdir)"; \
		fi; )
	@if [ -z "`ls -A \"$(DESTDIR)$(localedir)\"`" ]; then \
	    echo "Deinstall data dir $(DESTDIR)$(localedir) ..."; \
	    rm -rf "$(DESTDIR)$(localedir)"; \
	fi

# 	Note: $(localedir) may be part of $(datadir)/dvdwizard.
#	       Because of this removing all data and datadir should be
#	       done after removing of all locale files and dirs.
	@echo
	@echo "Deinstall data files in $(DESTDIR)$(datadir)/dvdwizard ..."
	@$(foreach data, $(DATA), \
		rm -f "$(DESTDIR)$(datadir)/dvdwizard/$(data)";)
	@if [ -z "`ls -A \"$(DESTDIR)$(datadir)/dvdwizard\"`" ]; then \
	    echo "Deinstall data dir $(DESTDIR)$(datadir)/dvdwizard ..."; \
	    rm -rf "$(DESTDIR)$(datadir)/dvdwizard"; \
	fi

	@echo
	@echo "Deinstall manpages in \"$(DESTDIR)$(mandir)\" ..."
	@-$(foreach mpage, $(MPAGES1), \
		rm -f "$(DESTDIR)$(mandir)/man1/$(mpage)";)
	@-$(foreach mpage, $(MPAGES5), \
		rm -f "$(DESTDIR)$(mandir)/man5/$(mpage)";)

	@echo
	@echo "Deinstall info pages in $(DESTDIR)$(infodir) ..."
	@$(foreach info, $(INFOS), \
		rm -f $(DESTDIR)$(infodir)/$(info);)

	@echo
	@echo "Deinstall doc in $(DESTDIR)$(docdir)/dvdwizard ..."
	@-$(foreach doc, $(DOCS), rm -f $(DESTDIR)$(docdir)/dvdwizard/$(doc);)
	@if [ -z "`ls -A \"$(DESTDIR)$(docdir)/dvdwizard\"`" ]; then \
	    echo "Deinstall doc dir $(DESTDIR)$(docdir)/dvdwizard ..."; \
	    rm -rf "$(DESTDIR)$(docdir)/dvdwizard"; \
	fi

	@echo
	@echo "Note: Configuration file $(DESTDIR)$(confdir)/dvdwizard.conf will not be removed!"
	@echo "DVDwizard deinstallation finished."

#
# i18n support for ui
#
languages: $(addsuffix /LC_MESSAGES/dvdwizard.mo, $(addprefix locale/,$(LANGS)))

po/dvdwizard.pot: $(SCRIPTS)
	@rm -f po/temp.po       2>/dev/null
	@$(foreach script, $(SCRIPTS), bash --dump-po-strings $(script) >>po/temp.po;)
	@xgettext -L PO --from-code=UTF-8 --copyright-holder="$(HOLDER)" \
	  --package-name="$(PACKAGE)" --package-version="$(VERSION)" \
	  --msgid-bugs-address="<$(PACKAGE)-users@lists.sourceforge.net>" \
	  -o po/$(PACKAGE).pot po/temp.po
	@rm -rf po/temp.po 2>/dev/null

$(POFILES): po/dvdwizard.pot
	@if [ -e $@ ]; then \
		msgmerge --output-file $@ $@ $<; \
	else \
		msginit --no-translator --output-file $@ -l $(@F) -i $<; \
	fi

$(addprefix locale/,$(MOFILES)): $(POFILES)
	mkdir -p $(@D)
	msgfmt -o $@ po/$(subst /LC_MESSAGES/dvdwizard.mo,,$(subst locale/,,$@))

#
# Distribution
#

=== debian/changelog ===
dvdwizard (0.7.1-2) unstable; urgency=medium

  [ Dimitri Ledkov ]
  * Port from ffmpeg to avconv. (Closes: #721165)

  [ Alessio Treglia ]
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 24 Feb 2014 14:41:53 +0000

dvdwizard (0.7.1-1) unstable; urgency=low

  * Initial release. (Closes: #690533)

 -- Alessio Treglia <alessio@debian.org>  Mon, 29 Oct 2012 10:15:06 +0000

=== debian/control ===
Source: dvdwizard
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~)
Standards-Version: 3.9.5
Homepage: http://dvdwizard.wershofen.de/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/dvdwizard.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/dvdwizard.git

Package: dvdwizard
Architecture: all
Depends:
 dvdauthor,
 libav-tools,
 imagemagick (>= 7:6.6.0),
 mjpegtools (>= 1.6.0),
 transcode,
 ${misc:Depends}
Description: fully automated creation of a DVD-structure
 DVDwizard provides a wrapper-script which incorporates a fully
 automated creation of a DVD-structure with Chapters and menus
 from one or more mpeg-streams. This is done by several sub-scripts
 and various freely available tools.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install \
		prefix=/usr \
		DESTDIR=$(CURDIR)/debian/dvdwizard
	cd $(CURDIR)/debian/dvdwizard/usr/share/doc/dvdwizard && \
		rm -f CHANGELOG COPYING
	rm -rf $(CURDIR)/debian/dvdwizard/usr/share/info
	cp $(CURDIR)/dvdwizard.conf.sample \
		$(CURDIR)/debian/dvdwizard/etc/dvdwizard.conf

override_dh_auto_clean:
	dh_auto_clean
	rm -f dvdwizard.conf dvdwizard.conf.sample

override_dh_auto_test:

=== debian/watch ===
version=3
http://www.joonet.de/dvdwizard/ftp/dvdwizard-(.*)\.tar\.gz
